| orderType | campo | descrição |
|---|---|---|
| DELIVERY | delivery | informações sobre hora e local de entrega incluindo endereço do cliente |
| TAKEOUT | takeout | informações sobre a retirada do pedido |
"schedule": {
"deliveryDateTimeStart": "2020-01-01T00:20:00.000Z",
"deliveryDateTimeEnd": "2020-01-01T01:20:00.000Z"
}curl -X POST "https://merchant-api.ifood.com.br/order/v1.0/orders/{id}/confirm" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json"curl -X POST "https://merchant-api.ifood.com.br/order/v1.0/orders/{id}/dispatch" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json"curl -X POST "https://merchant-api.ifood.com.br/order/v1.0/orders/{id}/readyToPickup" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json"preparationStartDateTime = deliveryDateTimeStart - DeliveryTime (configuração da loja)